package org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.converter;

import org.framework.lazy.cloud.network.heartbeat.server.standalone.domain.model.lazy.netty.server.permeate.client.mapping.LazyInternalNetworkServerPermeateClientMapping;
import org.framework.lazy.cloud.network.heartbeat.server.standalone.infrastructure.entity.LazyInternalNetworkServerPermeateClientMappingDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import org.wu.framework.lazy.orm.core.persistence.reverse.lazy.ddd.DefaultDDDLazyInfrastructureConverter;

/**
 * describe 内网穿透映射
 *
 * @author Jia wei Wu
 * @date 2023/12/29 05:21 下午
 * @see DefaultDDDLazyInfrastructureConverter
 **/
@Mapper
public interface LazyInternalNetworkPenetrationMappingConverter {


    /**
     * describe MapStruct 创建的代理对象
     *
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/
    LazyInternalNetworkPenetrationMappingConverter INSTANCE = Mappers.getMapper(LazyInternalNetworkPenetrationMappingConverter.class);

    /**
     * describe 实体对象 转换成领域对象
     *
     * @param lazyInternalNetworkServerPermeateClientMappingDO 内网穿透映射实体对象
     * @return {@link LazyInternalNetworkServerPermeateClientMapping} 内网穿透映射领域对象
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/
    LazyInternalNetworkServerPermeateClientMapping toInternalNetworkPenetrationMapping(LazyInternalNetworkServerPermeateClientMappingDO lazyInternalNetworkServerPermeateClientMappingDO);

    /**
     * describe 领域对象 转换成实体对象
     *
     * @param lazyInternalNetworkServerPermeateClientMapping 内网穿透映射领域对象
     * @return {@link LazyInternalNetworkServerPermeateClientMappingDO} 内网穿透映射实体对象
     * @author Jia wei Wu
     * @date 2023/12/29 05:21 下午
     **/
    LazyInternalNetworkServerPermeateClientMappingDO fromInternalNetworkPenetrationMapping(LazyInternalNetworkServerPermeateClientMapping lazyInternalNetworkServerPermeateClientMapping);
}